import 'package:krow/features/profile/schedule/domain/entities/day_shedule.dart';

abstract class StaffScheduleRepository {
  Stream<Map<String, DaySchedule>> getStaffSchedule();

  Future<Map<String, DaySchedule>> createStaffSchedule({
    required List<DaySchedule> schedules,
  });

  Future<Map<String, DaySchedule>> updateStaffSchedule({
    required List<DaySchedule> schedules,
  });

  Future<DaySchedule?> deleteStaffSchedule({
    required List<DaySchedule> schedules,
  });
}
